### Property

# Adw Flap:transition-type

#### Declaration

    property transition-type: Adw.FlapTransitionType [ read, write ]

#### Description [src]

The type of animation used for reveal and fold transitions.

`AdwFlap:flap` is transparent by default, which means the content will be seen through it with `ADW_FLAP_TRANSITION_TYPE_OVER` transitions; add the `.background` style class to it if this is unwanted.

Type: | `AdwFlapTransitionType`
Available since: | 1.0

Getter method | `adw_flap_get_transition_type()`
Setter method | `adw_flap_set_transition_type()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no